
QGIS Application - Bug report #6704

Legend shows same symbol for all rules when "show feature count" is enabled

2012-11-15 07:39 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15869

Description

Style a vector layer with the rule based renderer.

Right-click on the layer and enable "show feature count".  All the rules will be shown in the legend with the same symbol.

History

#1 - 2012-11-16 12:40 AM - Alister Hood

- Priority changed from Normal to Severe/Regression

This appears to be a regression since 1.8

#2 - 2012-11-16 02:36 AM - Regis Haubourg

Hi, I couldn't reproduce in master f210668, OSGEO4W.

#3 - 2012-11-17 12:47 AM - Alister Hood

Well, I just updated to the latest from OSGeo4w (2ddc753) and it still occurs.

It started quite some time ago (I'm not sure how long exactly), but it doesn't occur with 1.8 on the same machine and with the same user profile.

Note: it affects both old and new symbology.

#4 - 2012-11-17 01:39 AM - Alister Hood

- Priority changed from Severe/Regression to Normal

but it doesn't occur with 1.8 on the same machine and with the same user profile.

Oh, it actually seems to work correctly when all the rules have (unique) labels... and if they don't, it doesn't work in 1.8 either.

I thought when I tested before it didn't work in master with labels, and did work in 1.8 with or without labels - but it seems unlikely that anything I've done in

the meantime (like starting with --noplugins) would have changed the behaviour...

#5 - 2015-11-11 03:43 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Hello, bug triage...

I can't reproduce it in QGIS 2.12 and master. Whether I use different labels or same labels for rules, showing feature count doesn't change anything:

symbology doesn't change.

I am closing this bug...

2025-04-27 2/2


